weka.core.pmml.jaxbbindings

## Class EventValues

- java.lang.Object
- - weka.core.pmml.jaxbbindings.EventValues

-     public class EventValues
      extends java.lang.Object

  Java class for EventValues element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="EventValues">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}Value" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}Interval" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventValues()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `java.util.List<Interval>` | `getInterval()` Gets the value of the interval property.
    `java.util.List<Value>` | `getValue()` Gets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventValues

          public EventValues()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getValue

          public java.util.List<Value> getValue()

      Gets the value of the value property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the value property.

      For example, to add a new item, do as follows:

              getValue().add(newItem);

      Objects of the following type(s) are allowed in the list `Value`

    - #### getInterval

          public java.util.List<Interval> getInterval()

      Gets the value of the interval property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the interval property.

      For example, to add a new item, do as follows:

              getInterval().add(newItem);

      Objects of the following type(s) are allowed in the list `Interval`